Subject: AW: [Sipping] RE: [Geopriv] Location Presence Event Package

From: "Pailer Rudolf" <[email-masked]>
Date: Sat, 21 Apr 2007 07:22:34 +0200

Hello Paul!

Please see my reply to Brian's posting regarding the routing of subscriptions and notifications for loaction presence.
Location Presence scales differently than conventional presence and different nodes need to process subscriptions for location presence. We were thus looking for a way to differentiate the routing of locpres SIP messages from conventional presence and do propose to use an own event package to do so.

Regading the number of watchers:
In the scientific papers that we published on the topic of location presence, we introduced a node called 'WatcherLister Server'. This server deals with a list of watchers that all subscribe to the same event. We did not include this idea in the location presence draft. The reason for this is, that we think that the specification of a 'Watcher List Server' would be a generic addtion to the SIP presence framework rather than something only valid for location presence. Therefore a 'Watcher List Server' should be specified in an own draft/RFC.

greetings
Rudolf

-----Ursprüngliche Nachricht-----
Von: Paul Kyzivat [mailto:[email-masked]] 
Gesendet: Montag, 09. April 2007 15:35
An: Brian Rosen
Cc: Pailer Rudolf; [email-masked]; [email-masked]
Betreff: Re: [Sipping] RE: [Geopriv] Location Presence Event Package

Like Brian I think this seems so close to existing presence that you 
need to work harder to make the case for something different, and to 
show how the two packages would be coordinated.

It appears to me that a major goal you have is to avoid sending out 
messages as a result of movement when there are no watchers that are 
interested in that movement. While I can see how that could be helpful 
in some cases, it needs to be reconciled with the resulting need to 
manage subscriptions from what could be a large number of watchers.

In any case, I think what you suggest could be achieved by introducing 
some special filters for geoloc information into standard presence. At 
least that would work when there is no separate presence aggregator.

	Paul

Brian Rosen wrote:
> I've read this, and I don't really understand why real presence (with 
> the filter package) doesn't provide the same service.
> 
> Can you give an example where presence+filter is significantly different 
> from this package, with the filter inclusion?   It seems to me that you 
> get roughly the same number of messages, with roughly the same content.
> 
>  
> 
> Brian
> 
>  
> 
> ------------------------------------------------------------------------
> 
> *From:* Pailer Rudolf [mailto:[email-masked]]
> *Sent:* Monday, April 09, 2007 1:57 AM
> *To:* [email-masked]; [email-masked]
> *Subject:* [Geopriv] Location Presence Event Package
> 
>  
> 
> Hello!
> 
> I would like to notify you about the the Internet Draft "A Location 
> Presence Event Package for the Session Initiation Protocol (SIP)".
> 
> http://www.ietf.org/internet-drafts/draft-pailer-locpres-00.txt
> 
> The draft describes the usage of the Session Initiation Protocol (SIP) 
> for subscriptions and notifications of location presence. Location 
> presence is information about the geographical position of a user.  
> Subscriptions and notifications of location presence are supported by 
> defining an event package within the general SIP event notification 
> framework.
> 
> The concept of a SIP based location enabler that is the core of the 
> proposed draft was published on several occasions:
> *) A Terminal-Based Location Service Enabler for the IP Multimedia 
> Subsystem, R. Pailer, S. Bessler, F. Wegscheider, IEEE Wireless 
> Communications and Networking Conference April 2006 (WCNC06), Las Vegas, USA
> 
> *) Terminal-Centric Location Services for the IP Multimedia Subsystem, 
> J. Fabini, M. Happenhofer, R. Pailer, IEEE 63rd Vehicular Technology 
> Conference, May 2006, Melbourne, Australia
> 
> *) Implementing a Native IMS Location Service Enabler over a 
> Prototypical IMS Core Network Testbed, P. Reichl, S. Bessler, J. Fabini, 
> R. Pailer, J. Zeiss,The Third IEEE International Workshop on Mobile 
> Commerce and Wireless Services (WMCS'06) June 26, 2006, San Francisco, USA
> 
> *) Practical Experiences with an IMS-Aware Location Service Enabler on 
> Top of an Experimental Open Source IMS Core Implementation, P. Reichl, 
> S. Bessler, J. Fabini, R. Pailer, A. Poropatich, N. Jordan, R. Huber, H. 
> Weisgrab, C. Brandner, I. Gojmerac, M. Ries, F. Wegscheider, Journal of 
> Mobile Multimedia, Rinton Press, Fall 2006
> 
> *) Lecture Notes in Geoinformation and Cartography, Location Based 
> Services an TeleCartography, G. Gartner, W. Cartwright, M. P. Peterson 
> (Eds.), Springer, 2007
> 
> I can provide above documents in PDF format, if needed.
> 
> Feedback from the IETF Working Groups GEOPRIV and SIPPING would be 
> appreciated very much indeed.
> 
> greetings
> Rudolf
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP